#pragma once
#include "afxole.h"

class CNoteModel;

class MemoDropTarget :
	public COleDropTarget
{
public:
	MemoDropTarget(CNoteModel* pModel);
	~MemoDropTarget(void);

	virtual DROPEFFECT OnDragEnter(CWnd* pWnd, COleDataObject* pDataObject, DWORD dwKeyState, CPoint point);
	virtual DROPEFFECT OnDragOver(CWnd* pWnd, COleDataObject* pDataObject, DWORD dwKeyState, CPoint point);
	virtual BOOL OnDrop(CWnd* pWnd, COleDataObject* pDataObject, DROPEFFECT dropEffect, CPoint point);


private:
	DROPEFFECT GetDropEffect( COleDataObject* pDataObject );

	UINT m_clipboardFormat;
	CNoteModel *m_pNoteModel;
	bool CheckMaxUser(CWnd* pWnd, int nCount ) ;
};
